FGCOM(1)

NAME
fgcom - VoIP client for the FlightGear radio infrastructure

SYNOPSIS
fgcom [--server=server] [--host=listeninghost] [--port=port] [--callsign=callsign] [--frequency=frequency] [--atis=frequency] [--airport=code] [--username=user] [--password=pass] [--silence-threshold=threshold] [--debug] [--help] [--version]

DESCRIPTION
fgcom is the FlightGear utility used for connecting to multiplayer voice servers.

It is usually not necessary to run fgcom from the command line, as it is already integrated into FlightGear, with the exception of a few specific cases (such as recording ATIS messages or performing a radio check, see the EXAMPLE section).

OPTIONS

--server=server
    Connect to the FGCom server server. By default, FGCom tries to connect to fgcom.flightgear.org.

--host=listeninghost, --port=port
    Listen on the network interface having the IP address listeninghost, on port port. By default, FGCom listens on the loopback interface (127.0.0.1) on port 16661. The specified port can be used by an instance of FlightGear to communicate with FGCom and update the pilot position as they fly.

--callsign=callsign
    Use the callsign callsign during the session. By default, FGCom uses guest as callsign.

--frequency=frequency
    Set the active radio frequency to frequency. The frequency must be written in the format xxx.xxx and must be given in MHz.

--atis=frequency
    Record an ATIS message on frequency MHz. The frequency must be written in the format xxx.xxx and must be given in MHz.

--airport=code
    Position the pilot/controller to the airport having the ICAO code code. Since some radio frequencies might be reused across the world, it is essential to set the pilot/controller position correctly to make the FGCom server able to determine the correct voice channel. Always use this flag if you are not connecting a FlightGear instance to FGCom.

--username=user, --password=pass
    Log in to the FGCom server using the username user and the password pass.

--silence-threshold=threshold
    Set the silence threshold to threshold dB. The value must be between -60 and 0. The default is -35.0 dB. The silence threshold is the level below which the sound captured by the microphone is considered background noise (and, thus, filtered out by FGCom). Setting the silence threshold to -60 turns the filter off; setting it to 0 filters everything (mutes the microphone).

--debug
    Enable debug output for troubleshooting purposes.

--help
    Display usage information and exit.

--version
    Display the FGCom version and exit.

EXIT STATUS
fgcom exits with EXIT_SUCCESS on success, with EXIT_FAILURE if the syntax of the command-line arguments is wrong or an error occurs.

NOTES
FGCom understands several special frequencies used for testing purposes or general chatting:

•   121.000 MHz, 121.500 MHz: "guard" frequencies reserved for emergency communications;

•   123.450 MHz, 123.500 MHz, 122.750 MHz: general chat frequencies;

•   700.000 MHz: radio station frequency. Depending on the FGCom server in use, a recorded radio message will be played;

•   723.340 MHz: French Air Patrol communication frequency;

•   910.000 MHz: echo test frequency. Your voice will be echoed back after a short delay, to allow you to check that your microphone, speakers/headset and that your connection to the FGCom server works. The test is limited to a maximum of 65 seconds, after which you will be automatically disconnected;

•   911.000 MHz: "music on hold". The frequency continuously plays background music, allowing you to check that your connection to the FGCom server works.

BUGS

•   At the time of writing, there is no mechanism in place to update the frequencies used by FGCom with the ones used in the real world, should those change. The former, thus, might not always correspond to the latter. Always use the frequencies listed in FlightGear under AI -> ATC Services in Range instead of the ones published on aeronautical charts.

EXAMPLE
Connect to the default FGCom server, switch to the San Francisco International Airport (KSFO) ground frequency (121.800 MHz) and allow FlightGear to update the current pilot position by sending it to port 16661 (the default one):
    $ fgcom --frequency=121.800 --airport=KSFO Perform a radio check by connecting to the echo test frequency:
    $ fgcom --frequency=910.000 Record an ATIS message on the San Francisco International Airport (KSFO) ATIS frequency (118.850 MHz):
    $ fgcom --atis=118.850 --airport=KSFO

SEE ALSO
fgfs(1), the FlightGear wiki "FGCom 3.0" page (http://wiki.flightgear.org/FGCom_3.0)